/**
 * @file
 * Javascript file for form_submit_confirm_popup.
 */

(function ($) {

  Drupal.behaviors.form_submit_confirm_popup = {
    attach: function (context, settings) {

      if (Drupal.settings.form_submit_confirm_popup !== undefined) {

        var submit_buttons = $.parseJSON(Drupal.settings.form_submit_confirm_popup.submit_buttons);
        var form_str = Drupal.settings.form_submit_confirm_popup.form_id;
        var form_id = '#' + form_str.replace('_', '-');

        $.each(submit_buttons, function (i, e) {

          var submit_confirm_popup = '#' + e.button + '-submit-confirm-popup';
          var submit_confirm_popup_wrapper = '#' + e.button + '-submit-confirm-popup-wrapper';
          var submit_button_id = '#' + e.button;

          $(form_id + ' ' + submit_button_id).click(function (ev) {
            if (typeof $.colorbox !== undefined && $.isFunction($.colorbox)) {
              if ($(submit_confirm_popup).parents(submit_confirm_popup_wrapper).length != 0) {
                ev.preventDefault();
                var div = $(submit_confirm_popup);
                $(div).show();
                $.colorbox({inline: true, href: div});
              }
              else {
                $(this).removeAttr('disabled');
              }
            }
            else {
              if (!confirm(e.text)) {
                ev.preventDefault();
                return false;
              }
              else {
                return true;
              }
            }
          });

          $("#confirm-yes-" + e.button).click(function () {
            $(form_id + ' ' + submit_button_id).trigger('click');
          });

          $("#confirm-no-" + e.button).click(function () {
            $(submit_confirm_popup).colorbox.close();
          });

        })

      }

    }
  };

})(jQuery);
